GET api/Import/CustomerStatement/GetCustomerStatement?apiKey={apiKey}&erpCustomerNumber={erpCustomerNumber}&statementDate={statementDate}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
apiKey

string

Required

erpCustomerNumber

string

Required

statementDate

date

Required

Body Parameters

None.

Response Information

Resource Description

CustomerStatementResponse
NameDescriptionTypeAdditional information
CustomerStatement

CustomerStatement

None.

Response Formats

application/json, text/json

Sample:
{
  "CustomerStatement": {
    "ShipToAddress": {
      "Name": "sample string 1",
      "Contact": "sample string 2",
      "AddressLine1": "sample string 3",
      "AddressLine2": "sample string 4",
      "AddressLine3": "sample string 5",
      "AddressLine4": "sample string 6",
      "City": "sample string 7",
      "State": "sample string 8",
      "Zip": "sample string 9",
      "Country": "sample string 10"
    },
    "AmountTotal": 1.0,
    "AmountCurrent": 2.0,
    "Amount31To60": 3.0,
    "Amount61To90": 4.0,
    "Amount91To120": 5.0,
    "Amount120Plus": 6.0
  }
}

application/xml, text/xml

Sample:
<CustomerStatementResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/">
  <CustomerStatement>
    <Amount120Plus>6</Amount120Plus>
    <Amount31To60>3</Amount31To60>
    <Amount61To90>4</Amount61To90>
    <Amount91To120>5</Amount91To120>
    <AmountCurrent>2</AmountCurrent>
    <AmountTotal>1</AmountTotal>
    <ShipToAddress>
      <AddressLine1>sample string 3</AddressLine1>
      <AddressLine2>sample string 4</AddressLine2>
      <AddressLine3>sample string 5</AddressLine3>
      <AddressLine4>sample string 6</AddressLine4>
      <City>sample string 7</City>
      <Contact>sample string 2</Contact>
      <Country>sample string 10</Country>
      <Name>sample string 1</Name>
      <State>sample string 8</State>
      <Zip>sample string 9</Zip>
    </ShipToAddress>
  </CustomerStatement>
</CustomerStatementResponse>